ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 974 by gezelter, Thu May 25 15:19:34 2006 UTC vs.
Revision 1141 by chuckv, Wed May 30 18:47:04 2007 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 888 | Line 888 | Optional Packages:
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889                            to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891  --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
892   Some influential environment variables:
893    CXX         C++ compiler command
# Line 1655 | Line 1654 | if test -n "$ac_tool_prefix"; then
1654   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1655   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1656   if test -n "$ac_tool_prefix"; then
1657 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1657 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1658    do
1659      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1660   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1697 | Line 1696 | if test -z "$CXX"; then
1696   fi
1697   if test -z "$CXX"; then
1698    ac_ct_CXX=$CXX
1699 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1699 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1700   do
1701    # Extract the first word of "$ac_prog", so it can be a program name with args.
1702   set dummy $ac_prog; ac_word=$2
# Line 2211 | Line 2210 | if test -n "$ac_tool_prefix"; then
2210   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2211   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2212   if test -n "$ac_tool_prefix"; then
2213 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2213 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2214    do
2215      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2216   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2253 | Line 2252 | if test -z "$CC"; then
2252   fi
2253   if test -z "$CC"; then
2254    ac_ct_CC=$CC
2255 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2255 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2256   do
2257    # Extract the first word of "$ac_prog", so it can be a program name with args.
2258   set dummy $ac_prog; ac_word=$2
# Line 2722 | Line 2721 | if test -n "$ac_tool_prefix"; then
2721   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2722   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2723   if test -n "$ac_tool_prefix"; then
2724 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2724 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725    do
2726      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2727   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2764 | Line 2763 | if test -z "$FC"; then
2763   fi
2764   if test -z "$FC"; then
2765    ac_ct_FC=$FC
2766 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2766 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767   do
2768    # Extract the first word of "$ac_prog", so it can be a program name with args.
2769   set dummy $ac_prog; ac_word=$2
# Line 2809 | Line 2808 | fi
2808  
2809  
2810   # Provide some information about the compiler.
2811 < echo "$as_me:2812:" \
2811 > echo "$as_me:2811:" \
2812       "checking for Fortran compiler version" >&5
2813   ac_compiler=`set X $ac_compile; echo $2`
2814   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4057 | Line 4056 | FCFLAGS="$FCFLAGS $ac_verb"
4056   # flags.
4057   ac_save_FFLAGS=$FCFLAGS
4058   FCFLAGS="$FCFLAGS $ac_verb"
4059 < (eval echo $as_me:4060: \"$ac_link\") >&5
4059 > (eval echo $as_me:4059: \"$ac_link\") >&5
4060   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4061   echo "$ac_fc_v_output" >&5
4062   FCFLAGS=$ac_save_FFLAGS
# Line 4135 | Line 4134 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4134   # flags.
4135   ac_save_FFLAGS=$FCFLAGS
4136   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4137 < (eval echo $as_me:4138: \"$ac_link\") >&5
4137 > (eval echo $as_me:4137: \"$ac_link\") >&5
4138   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4139   echo "$ac_fc_v_output" >&5
4140   FCFLAGS=$ac_save_FFLAGS
# Line 4871 | Line 4870 | FCFLAGS="$FCFLAGS $ac_verb"
4870   # flags.
4871   ac_save_FFLAGS=$FCFLAGS
4872   FCFLAGS="$FCFLAGS $ac_verb"
4873 < (eval echo $as_me:4874: \"$ac_link\") >&5
4873 > (eval echo $as_me:4873: \"$ac_link\") >&5
4874   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4875   echo "$ac_fc_v_output" >&5
4876   FCFLAGS=$ac_save_FFLAGS
# Line 4949 | Line 4948 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4948   # flags.
4949   ac_save_FFLAGS=$FCFLAGS
4950   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4951 < (eval echo $as_me:4952: \"$ac_link\") >&5
4951 > (eval echo $as_me:4951: \"$ac_link\") >&5
4952   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4953   echo "$ac_fc_v_output" >&5
4954   FCFLAGS=$ac_save_FFLAGS
# Line 6148 | Line 6147 | else
6147    withval="$with_fftw"
6148    fftw_dir="$withval"
6149   else
6150 <                fftw_dir="not_set"
6150 >             fftw_dir="not_set"
6151   fi;
6152   if test "$fftw_dir" != "no"; then
6153 <
6154 < if test "$fftw_dir" != "not_set" ; then
6155 <  if test -d "$fftw_dir"
6156 <  then
6157 <    FFTW_HOME="$fftw_dir"
6158 <  else
6159 <    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6160 < echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6162 <  fi
6163 < fi
6164 <
6165 < FFTW_HOME=/usr/local
6166 < if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6167 < then
6153 >  if test "$fftw_dir" != "not_set" ; then
6154 >    if test -d "$fftw_dir"; then
6155 >      FFTW_HOME="$fftw_dir"
6156 >    else
6157 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6158 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6159 >      FFTW_HOME=/usr/local
6160 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6161          FFTW_HOME=/usr
6162 < fi
6163 <
6164 < #
6165 < # Locate fftw, if wanted
6166 < #
6167 < if test -n "${FFTW_HOME}"
6168 < then
6169 <        FFTW_OLD_LDFLAGS=$LDFLAGS
6170 <        FFTW_OLD_CPPFLAGS=$LDFLAGS
6171 <        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6179 <        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6162 >      fi
6163 >    fi
6164 >    #
6165 >    # Locate fftw, if wanted
6166 >    #
6167 >    if test -n "${FFTW_HOME}"; then
6168 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6169 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6170 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6171 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6172  
6173  
6174 <        ac_ext=c
6174 >      ac_ext=c
6175   ac_cpp='$CPP $CPPFLAGS'
6176   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6177   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6178   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6179  
6180 <        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6180 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6181   echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6182   if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6183    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6263 | Line 6255 | fi
6255    fftw_cv_libfftw3=no
6256   fi
6257  
6258 <        if test "${ac_cv_header_fftw3_h+set}" = set; then
6258 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6259    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6260   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6261   if test "${ac_cv_header_fftw3_h+set}" = set; then
# Line 6407 | Line 6399 | fi
6399   fi
6400  
6401  
6402 <        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6403 <        then
6412 <                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6402 >      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6403 >        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6404   echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6405   if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6406    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6487 | Line 6478 | fi
6478    fftw_cv_libfftw=no
6479   fi
6480  
6481 <                if test "${ac_cv_header_fftw_h+set}" = set; then
6481 >        if test "${ac_cv_header_fftw_h+set}" = set; then
6482    echo "$as_me:$LINENO: checking for fftw.h" >&5
6483   echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6484   if test "${ac_cv_header_fftw_h+set}" = set; then
# Line 6631 | Line 6622 | fi
6622   fi
6623  
6624  
6625 <                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6626 <                then
6636 <                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6625 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6626 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6627   echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6628   if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6629    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6711 | Line 6701 | fi
6701    fftw_cv_libdfftw=no
6702   fi
6703  
6704 <                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6704 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6705    echo "$as_me:$LINENO: checking for dfftw.h" >&5
6706   echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6707   if test "${ac_cv_header_dfftw_h+set}" = set; then
# Line 6855 | Line 6845 | fi
6845   fi
6846  
6847  
6858                fi
6848          fi
6849 <        ac_ext=c
6849 >      fi
6850 >      ac_ext=c
6851   ac_cpp='$CPP $CPPFLAGS'
6852   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6853   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6854   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6855  
6856 +      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6857  
6867        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6868        then
6869
6858   cat >>confdefs.h <<\_ACEOF
6859   #define HAVE_FFTW3_H 1
6860   _ACEOF
6861  
6862 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6863 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 <                FFTW_LIBS="-lfftw3"
6865 <        else
6866 <        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6879 <        then
6862 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6863 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 >        FFTW_LIBS="-lfftw3"
6865 >      else
6866 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6867  
6868   cat >>confdefs.h <<\_ACEOF
6869   #define HAVE_FFTW_H 1
6870   _ACEOF
6871  
6872 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6873 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 <                FFTW_LIBS="-lfftw"
6872 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6873 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 >          FFTW_LIBS="-lfftw"
6875          else
6876 <        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6890 <        then
6876 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6877  
6878   cat >>confdefs.h <<\_ACEOF
6879   #define HAVE_DFFTW_H 1
6880   _ACEOF
6881  
6882 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6883 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 <                FFTW_LIBS="-ldfftw"
6885 <        else
6886 <                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6882 >            FFTW_INC_DIR="${FFTW_HOME}/include"
6883 >            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 >            FFTW_LIBS="-ldfftw"
6885 >          else
6886 >            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6887   echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6888 <                FFTW_INC_DIR=
6889 <                FFTW_LIB_DIR=
6890 <                FFTW_LIBS=
6891 <                LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 <                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 <                echo "$as_me:$LINENO: result: failed" >&5
6888 >            FFTW_INC_DIR=
6889 >            FFTW_LIB_DIR=
6890 >            FFTW_LIBS=
6891 >            LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 >            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 >            echo "$as_me:$LINENO: result: failed" >&5
6894   echo "${ECHO_T}failed" >&6
6895 <        echo ""
6896 <        echo "*********************************************************"
6897 <        echo "* WARNING: Could not find a working FFTW installation   *"
6898 <        echo "* If you need the staticProps program to be able to     *"
6899 <        echo "* compute undulation spectra, be sure to specify a      *"
6900 <        echo "* valid fftw installation with --with-fftw=DIR          *"
6901 <        echo "*                                                       *"
6902 <        echo "* OOPSE will still work without fftw installed.         *"
6903 <        echo "*********************************************************"
6904 <        echo ""
6895 >            echo ""
6896 >            echo "*********************************************************"
6897 >            echo "* WARNING: Could not find a working FFTW installation   *"
6898 >            echo "* If you need the staticProps program to be able to     *"
6899 >            echo "* compute undulation spectra, be sure to specify a      *"
6900 >            echo "* valid fftw installation with --with-fftw=DIR          *"
6901 >            echo "*                                                       *"
6902 >            echo "* OOPSE will still work without fftw installed.         *"
6903 >            echo "*********************************************************"
6904 >            echo ""
6905 >          fi
6906          fi
6907 <        fi
6921 <        fi
6907 >      fi
6908  
6909  
6910  
6911 < fi
6911 >    fi
6912 >  fi
6913   fi
6914  
6915  
# Line 11941 | Line 11928 | if test "$ac_test_FFLAGS" != "set"; then
11928    case "${host_cpu}-${host_os}" in
11929  
11930    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11931 <                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11931 >                    FCFLAGS="-O3 -ip -no-prec-div"
11932                  fi;;
11933     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11934                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 12998 | Line 12985 | MPI_INC_DIR="$MPI/include"
12985   MPI_INC_DIR="$MPI/include"
12986  
12987  
12988 +
12989 + ac_ext=c
12990 + ac_cpp='$CPP $CPPFLAGS'
12991 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12992 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12993 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12994  
12995   echo "$as_me:$LINENO: checking for mpi.h" >&5
12996   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12997   have_mpi_h=0
12998   rm -f conftest*
12999 < echo '#include <mpi.h>' > conftest.cc
13000 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
12999 > echo '#include <mpi.h>' > conftest.c
13000 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13001          echo "$as_me:$LINENO: result: yes" >&5
13002   echo "${ECHO_T}yes" >&6
13003          have_mpi_h=1
# Line 13068 | Line 13061 | ac_ext=$ac_save_ext
13061   fi
13062   FCFLAGS=$ac_save_FCFLAGS
13063   ac_ext=$ac_save_ext
13064 < ac_ext=cc
13065 < ac_cpp='$CXXCPP $CPPFLAGS'
13066 < ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13067 < ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13068 < ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13064 > ac_ext=c
13065 > ac_cpp='$CPP $CPPFLAGS'
13066 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13067 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13068 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
13069  
13070  
13071   ac_ext=c
# Line 13164 | Line 13157 | if test x = x"$MPI_LIB"; then
13157   fi
13158   $as_unset ac_cv_lib_mpich_MPI_Init
13159   if test x = x"$MPI_LIB"; then
13167        # absolute insanity if profiling libraries are required to get mpich to work
13160          echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13161   echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13162   if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13163    echo $ECHO_N "(cached) $ECHO_C" >&6
13164   else
13165    ac_check_lib_save_LIBS=$LIBS
13166 < LIBS="-lpmpich "-lmpich -lpmpich -lmpich" $LIBS"
13166 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13167   cat >conftest.$ac_ext <<_ACEOF
13168   /* confdefs.h.  */
13169   _ACEOF
# Line 13328 | Line 13320 | else
13320    echo $ECHO_N "(cached) $ECHO_C" >&6
13321   else
13322    ac_check_lib_save_LIBS=$LIBS
13323 < LIBS="-lmpi "-llam" $LIBS"
13323 > LIBS="-lmpi -llam $LIBS"
13324   cat >conftest.$ac_ext <<_ACEOF
13325   /* confdefs.h.  */
13326   _ACEOF
# Line 13500 | Line 13492 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
13492   fi
13493   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
13494   echo "${ECHO_T}found $MPI_F90_LIB" >&6
13503
13504
13505 fi
13506
13507
13508
13509 USE_CGAL=no
13510 cgal_makefile=auto
13511
13512 # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
13513 if test "${with_cgal_makefile+set}" = set; then
13514  withval="$with_cgal_makefile"
13515  cgal_makefile="$withval"
13516 fi;
13517
13518 if test "x$cgal_makefile" != xno; then
13519
13520  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
13521    cgal_makefile="$CGAL_MAKEFILE"
13522  fi
13523
13524  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
13525 echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
13526
13527  if test -f "$cgal_makefile"; then
13528
13529    cat >config.tmp.Makefile <<EOF
13530 include $cgal_makefile
13531 default:
13532        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
13533        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
13534        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
13535        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13536        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13537        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
13538        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
13539        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13540        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13541        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
13542        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13543        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13544 EOF
13545
13546    make -s -f config.tmp.Makefile
13547    . config.tmp.cgalvariables
13548
13549    rm -f config.tmp.Makefile config.tmp.cgalvariables
13550
13551    if test "x$CGAL_INCLDIR" = "x"; then
13552      CGAL_INCLDIR=""
13553    fi
13554
13555    if test "x$CGAL_LIBDIR" = "x"; then
13556      CGAL_LIBDIR=""
13557    fi
13558
13559    if test "x$CGAL_RLIBDIR" = "x"; then
13560      CGAL_RLIBDIR=""
13561    fi
13562
13563    if test "x$LEDA_INCLDIR" = "x"; then
13564      LEDA_INCLDIR=""
13565    fi
13566
13567    if test "x$LEDA_LIBDIR" = "x"; then
13568      LEDA_LIBDIR=""
13569    fi
13570
13571    if test "x$LEDA_RLIBDIR" = "x"; then
13572      LEDA_RLIBDIR=""
13573    fi
13574
13575    if test "x$GMP_INCLDIR" = "x"; then
13576      GMP_INCLDIR=""
13577    fi
13578
13579    if test "x$GMP_LIBDIR" = "x"; then
13580      GMP_LIBDIR=""
13581    fi
13582
13583    if test "x$GMP_RLIBDIR" = "x"; then
13584      GMP_RLIBDIR=""
13585    fi
13586
13587    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
13588 echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
13589    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
13590 echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
13591    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
13592 echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
13593    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
13594 echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
13595    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
13596 echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
13597    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
13598 echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
13599    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
13600 echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
13601    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
13602 echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
13603    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
13604 echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
13605
13606    ac_ext=cc
13607 ac_cpp='$CXXCPP $CPPFLAGS'
13608 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13609 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13610 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13611
13612    save_CXXFLAGS="$CXXFLAGS"
13613    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13614    if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13615  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13616 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13617 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13618  echo $ECHO_N "(cached) $ECHO_C" >&6
13619 fi
13620 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13621 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13622 else
13623  # Is the header compilable?
13624 echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
13625 echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
13626 cat >conftest.$ac_ext <<_ACEOF
13627 /* confdefs.h.  */
13628 _ACEOF
13629 cat confdefs.h >>conftest.$ac_ext
13630 cat >>conftest.$ac_ext <<_ACEOF
13631 /* end confdefs.h.  */
13632 $ac_includes_default
13633 #include <CGAL/Cartesian.h>
13634 _ACEOF
13635 rm -f conftest.$ac_objext
13636 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13637  (eval $ac_compile) 2>conftest.er1
13638  ac_status=$?
13639  grep -v '^ *+' conftest.er1 >conftest.err
13640  rm -f conftest.er1
13641  cat conftest.err >&5
13642  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13643  (exit $ac_status); } &&
13644         { ac_try='test -z "$ac_cxx_werror_flag"
13645                         || test ! -s conftest.err'
13646  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13647  (eval $ac_try) 2>&5
13648  ac_status=$?
13649  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13650  (exit $ac_status); }; } &&
13651         { ac_try='test -s conftest.$ac_objext'
13652  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13653  (eval $ac_try) 2>&5
13654  ac_status=$?
13655  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13656  (exit $ac_status); }; }; then
13657  ac_header_compiler=yes
13658 else
13659  echo "$as_me: failed program was:" >&5
13660 sed 's/^/| /' conftest.$ac_ext >&5
13495  
13662 ac_header_compiler=no
13663 fi
13664 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13665 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
13666 echo "${ECHO_T}$ac_header_compiler" >&6
13496  
13668 # Is the header present?
13669 echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
13670 echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
13671 cat >conftest.$ac_ext <<_ACEOF
13672 /* confdefs.h.  */
13673 _ACEOF
13674 cat confdefs.h >>conftest.$ac_ext
13675 cat >>conftest.$ac_ext <<_ACEOF
13676 /* end confdefs.h.  */
13677 #include <CGAL/Cartesian.h>
13678 _ACEOF
13679 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
13680  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
13681  ac_status=$?
13682  grep -v '^ *+' conftest.er1 >conftest.err
13683  rm -f conftest.er1
13684  cat conftest.err >&5
13685  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13686  (exit $ac_status); } >/dev/null; then
13687  if test -s conftest.err; then
13688    ac_cpp_err=$ac_cxx_preproc_warn_flag
13689    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
13690  else
13691    ac_cpp_err=
13692  fi
13693 else
13694  ac_cpp_err=yes
13497   fi
13696 if test -z "$ac_cpp_err"; then
13697  ac_header_preproc=yes
13698 else
13699  echo "$as_me: failed program was:" >&5
13700 sed 's/^/| /' conftest.$ac_ext >&5
13498  
13702  ac_header_preproc=no
13703 fi
13704 rm -f conftest.err conftest.$ac_ext
13705 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
13706 echo "${ECHO_T}$ac_header_preproc" >&6
13499  
13708 # So?  What about this header?
13709 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
13710  yes:no: )
13711    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
13712 echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
13713    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
13714 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
13715    ac_header_preproc=yes
13716    ;;
13717  no:yes:* )
13718    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
13719 echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
13720    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
13721 echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
13722    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
13723 echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
13724    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
13725 echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
13726    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
13727 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
13728    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
13729 echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
13730    (
13731      cat <<\_ASBOX
13732 ## ------------------------------ ##
13733 ## Report this to gezelter@nd.edu ##
13734 ## ------------------------------ ##
13735 _ASBOX
13736    ) |
13737      sed "s/^/$as_me: WARNING:     /" >&2
13738    ;;
13739 esac
13740 echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13741 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13742 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13743  echo $ECHO_N "(cached) $ECHO_C" >&6
13744 else
13745  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
13746 fi
13747 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13748 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13500  
13750 fi
13751 if test $ac_cv_header_CGAL_Cartesian_h = yes; then
13752  cgal=yes
13753 else
13754  cgal=no
13755 fi
13501  
13757
13758    CXXFLAGS="$save_CXXFLAGS"
13759
13760    if test "x$cgal" = xyes; then
13761      echo "$as_me:$LINENO: checking for CGAL version" >&5
13762 echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
13763      LOCATION=${CGAL_INCLDIR}
13764      LOCATION=${LOCATION:-/usr/include}
13765      if test -f $LOCATION/CGAL/version.h; then
13766        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
13767      else
13768        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
13769      fi
13770      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
13771        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
13772 echo "${ECHO_T}($CGAL_VERSION) yes" >&6
13773      else
13774        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
13775 echo "${ECHO_T}($CGAL_VERSION) no" >&6
13776        cgal=no
13777      fi
13778    fi
13779
13780    if test "x$cgal" = xyes; then
13781      CGAL_LIBS="-lCGAL"
13782      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
13783 echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
13784      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
13785        CGAL_USES_LEDA=yes
13786        echo "$as_me:$LINENO: result: yes" >&5
13787 echo "${ECHO_T}yes" >&6
13788        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
13789      else
13790        echo "$as_me:$LINENO: result: no" >&5
13791 echo "${ECHO_T}no" >&6
13792        CGAL_USES_LEDA=no
13793      fi
13794
13795      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
13796 echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
13797      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
13798        CGAL_USES_GMP=yes
13799        echo "$as_me:$LINENO: result: yes" >&5
13800 echo "${ECHO_T}yes" >&6
13801        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
13802      else
13803        echo "$as_me:$LINENO: result: no" >&5
13804 echo "${ECHO_T}no" >&6
13805        CGAL_USES_GMP=no
13806      fi
13807
13808      CGAL_LIBS="$CGAL_LIBS -lm"
13809
13810      CGAL_CXXFLAGS="-ftemplate-depth-50"
13811
13812      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
13813 echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
13814      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
13815 echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
13816      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
13817 echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
13818      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
13819 echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
13820      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
13821 echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
13822      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
13823 echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
13824      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
13825 echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
13826    fi
13827
13828    if test "x$cgal" = xyes; then
13829      save_LIBS="$LIBS"
13830      LIBS="$LIBS -L$CGAL_LIBDIR"
13831      if test "x$CGAL_USES_LEDA" = xyes; then
13832        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
13833      fi
13834      # if test "x$CGAL_USES_GMP" = xyes; then
13835      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
13836      # fi
13837      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
13838 echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
13839 save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
13840 CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13841 save_LIBS_CHECK_CXX_LIB="$LIBS"
13842 LIBS="-lCGAL  $LIBS"
13843 cat >conftest.$ac_ext <<_ACEOF
13844 /* confdefs.h.  */
13845 _ACEOF
13846 cat confdefs.h >>conftest.$ac_ext
13847 cat >>conftest.$ac_ext <<_ACEOF
13848 /* end confdefs.h.  */
13849 #include <CGAL/Cartesian.h>
13850 #ifdef FC_DUMMY_MAIN
13851 #ifndef FC_DUMMY_MAIN_EQ_F77
13852 #  ifdef __cplusplus
13853     extern "C"
13854 #  endif
13855   int FC_DUMMY_MAIN() { return 1; }
13856 #endif
13857 #endif
13858 int
13859 main ()
13860 {
13861 ::CGAL::Cartesian<int>::Point_2 P
13862  ;
13863  return 0;
13864 }
13865 _ACEOF
13866 rm -f conftest.$ac_objext conftest$ac_exeext
13867 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13868  (eval $ac_link) 2>conftest.er1
13869  ac_status=$?
13870  grep -v '^ *+' conftest.er1 >conftest.err
13871  rm -f conftest.er1
13872  cat conftest.err >&5
13873  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13874  (exit $ac_status); } &&
13875         { ac_try='test -z "$ac_cxx_werror_flag"
13876                         || test ! -s conftest.err'
13877  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13878  (eval $ac_try) 2>&5
13879  ac_status=$?
13880  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13881  (exit $ac_status); }; } &&
13882         { ac_try='test -s conftest$ac_exeext'
13883  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13884  (eval $ac_try) 2>&5
13885  ac_status=$?
13886  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13887  (exit $ac_status); }; }; then
13888  echo "$as_me:$LINENO: result: yes" >&5
13889 echo "${ECHO_T}yes" >&6
13890 cgal=yes
13891 else
13892  echo "$as_me: failed program was:" >&5
13893 sed 's/^/| /' conftest.$ac_ext >&5
13894
13895 echo "$as_me:$LINENO: result: no" >&5
13896 echo "${ECHO_T}no" >&6
13897 cgal=no
13898 fi
13899 rm -f conftest.err conftest.$ac_objext \
13900      conftest$ac_exeext conftest.$ac_ext
13901 CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
13902 LIBS="$save_LIBS_CHECK_CXX_LIB"
13903      LIBS="$save_LIBS"
13904    fi
13905
13906  fi
13907  ac_ext=c
13908 ac_cpp='$CPP $CPPFLAGS'
13909 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13910 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13911 ac_compiler_gnu=$ac_cv_c_compiler_gnu
13912
13913
13914 fi
13915
13916 if test "x$cgal" = xyes; then
13917  USE_CGAL=yes
13918
13919 cat >>confdefs.h <<\_ACEOF
13920 #define HAVE_CGAL 1
13921 _ACEOF
13922
13923
13924 cat >>confdefs.h <<_ACEOF
13925 #define CGAL_VERSION $CGAL_VERSION
13926 _ACEOF
13927
13928  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
13929    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13930 echo "$as_me: WARNING: *****************************************************" >&2;}
13931    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
13932 echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
13933    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
13934 echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
13935    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13936 echo "$as_me: WARNING: *****************************************************" >&2;}
13937  fi
13938 else
13939   if test "x$cgal_makefile" != xno; then
13940    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
13941 echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
13942  fi
13943  CGAL_INCLDIR=
13944  CGAL_LIBDIR=
13945  CGAL_RLIBDIR=
13946  CGAL_DEFINES=
13947  CGAL_CXXFLAGS=
13948  CGAL_LIBS=
13949 fi
13950
13951
13952 CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
13953
13954 CGAL_LIB_DIR=${CGAL_LIBDIR}
13955
13956 CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13957
13958
13959
13960
13961
13962
13502   # Check whether --enable-doxygen or --disable-doxygen was given.
13503   if test "${enable_doxygen+set}" = set; then
13504    enableval="$enable_doxygen"
# Line 14113 | Line 13652 | fi
13652  
13653  
13654  
13655 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13655 >                              ac_config_files="$ac_config_files make/Makefile src/utils/Makefile scripts/filepp"
13656  
13657  
13658   cat >confcache <<\_ACEOF
# Line 14646 | Line 14185 | do
14185    # Handling of arguments.
14186    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14187    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14649  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14188    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14189    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
14190    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
# Line 14799 | Line 14337 | s,@USE_MPI@,$USE_MPI,;t t
14337   s,@MPI_LIB@,$MPI_LIB,;t t
14338   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
14339   s,@USE_MPI@,$USE_MPI,;t t
14802 s,@USE_CGAL@,$USE_CGAL,;t t
14803 s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
14804 s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
14805 s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
14806 s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
14807 s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
14808 s,@CGAL_LIBS@,$CGAL_LIBS,;t t
14340   s,@DOXYGEN@,$DOXYGEN,;t t
14341   s,@DOT@,$DOT,;t t
14342   s,@DOC@,$DOC,;t t
# Line 15058 | Line 14589 | s,@INSTALL@,$ac_INSTALL,;t t
14589    case $ac_file in
14590      make/Makefile ) chmod 0755 scripts/* ;;
14591      src/utils/Makefile ) chmod 0755 scripts/* ;;
15061    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
14592      scripts/filepp ) chmod 0755 scripts/* ;;
14593    esac
14594   done

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines